ITransition

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface ITransition

    com.change_vision.jude.api.inf.model.ITransition

All Implemented Interfaces:
  IElement, IHyperlinkOwner, INamedElement

public ITransition
extends INamedElement

Interface for Transitions.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getAction()` Get Action.
`abstract String` | `getEvent()` Get Event.
`abstract String` | `getGuard()` Get Guard Condition.
`abstract IVertex` | `getSource()` Get Vertex as Source.
`abstract IVertex` | `getTarget()` Get Vertex as Target.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getSource

    public abstract IVertex getSource()

  Get Vertex as Source.

  Returns:
    Vertex.

### getTarget

    public abstract IVertex getTarget()

  Get Vertex as Target.

  Returns:
    Vertex.

### getGuard

    public abstract String getGuard()

  Get Guard Condition.

  Returns:
    Guard Condition.

### getAction

    public abstract String getAction()

  Get Action.

  Returns:
    Action.

### getEvent

    public abstract String getEvent()

  Get Event.

  Returns:
    Event.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD